API Graph versión

Page Tabs

This endpoint is not supported for Pages that have been migrated to the New Pages Experience.

This edge allows you get Page Tabs.

Lectura

Get a list of Tab nodes on a Page.

Requirements

You will need the following:

If a person is not able to perform the task on the Page, you will need the following:

  • The Pages Public Content Access feature
Cuando uses la función Acceso a contenido público de páginas, usa un token de acceso de usuario del sistema para evitar problemas de limitación de frecuencia.

Limitations

  • To ensure tabs lead to high-quality, accurate content, the Page Tabs feature is only available to Pages with 2000 or more likes.

Feature Permissions

NombreDescripción
Acceso a contenido público de páginasThis feature permission may be required.

Ejemplo

Graph API Explorer
GET /v25.0/{page-id}/tabs HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{page-id}/tabs',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{page-id}/tabs",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{page-id}/tabs",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{page-id}/tabs"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Si quieres obtener información sobre cómo usar la API Graph, lee nuestra guía de uso de la API Graph.

Parámetros

ParámetroDescripción
tab
list<string>

SELF_EXPLANATORY

Campos

La lectura de este perímetro mostrará un resultado con formato JSON:

{ "data": [], "paging": {} }

data

Una lista de nodos Tab.

paging

Para obtener más detalles sobre la paginación, consulta la guía de la API Graph.

Error Codes

ErrorDescripción
200Permissions error
190Invalid OAuth 2.0 Access Token
104Incorrect signature

Creación

No puedes realizar esta operación en este extremo.

Actualizando

No puedes realizar esta operación en este extremo.

Eliminando

No puedes realizar esta operación en este extremo.